게시물 1,130건
   
Archive Storage API -SWIFT
글쓴이 : 최고관리자 날짜 : 2019-08-13 (화) 13:55 조회 : 24
글주소 :
                                

# cat /etc/issue
Ubuntu 18.04.3 LTS \n \l

# swift 

Command 'swift' not found, but can be installed with:

snap install openstackclients     # version rocky, or
snap install swift                # version 4.0.3
apt  install python-swiftclient 
apt  install python3-swiftclient

See 'snap info <snapname>' for additional versions.


# apt install python-swiftclient


#  swift -A http://115.68.238.26/auth/1.0 -U <USER>:s3 -K <API_KEY> list
aaa-iwinv1

  :: swift -A http://115.68.238.26/auth/1.0 -U <USER>:swift -K <Secret_KEY> list
# swift -A http://115.68.238.26/auth/1.0 -U <USER>:swift -K <API_KEY> list
aaa-iwinv1


환경변수로 정의해서 사용
swift list
Auth version 1.0 requires ST_AUTH, ST_USER, and ST_KEY environment variables
to be set or overridden with -A, -U, or -K.

Auth version 2.0 requires OS_AUTH_URL, OS_USERNAME, OS_PASSWORD, and
OS_TENANT_NAME OS_TENANT_ID to be set or overridden with --os-auth-url,
--os-username, --os-password, --os-tenant-name or os-tenant-id. Note:
adding "-V 2" is necessary for this.


# export ST_AUTH=http://192.168.210.64/auth/1.0
# export ST_USER=mojily:swift
# export ST_KEY=xxxxxxxxxxxxxxxxxxxxxxxxxxxx

# swift stat                        



SSL 사용할때는..
# export ST_AUTH=https://192.168.210.64/auth/1.0
# export ST_USER=mojily:swift
# export ST_KEY=xxxxxxxxxxxxxxxxxxxxxxxxxxxx

# swift list --insecure




# cat /etc/redhat-release 
CentOS Linux release 7.6.1810 (Core) 

# swift 

Command 'swift' not found, but can be installed with:
snap install openstackclients     # version rocky, or
snap install swift                # version 4.0.3
apt  install python-swiftclient 
apt  install python3-swiftclient

See 'snap info <snapname>' for additional versions.


# rpm -Uvh https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
# yum install python-pip
# pip install python-swiftclient


※ error message 
# pip install python-swiftclient
You are using pip version 8.1.2, however version 19.2.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.

# pip install --upgrade pip


이름 패스워드
비밀글 (체크하면 글쓴이만 내용을 확인할 수 있습니다.)
왼쪽의 글자를 입력하세요.
   

 



 
사이트명 : 모지리네 | 대표 : 이경현 | 개인커뮤니티 : 랭키닷컴 운영체제(OS) | 경기도 성남시 분당구 | 전자우편 : mojily골뱅이chonnom.com Copyright ⓒ www.chonnom.com www.kyunghyun.net www.mojily.net. All rights reserved.